import SwiftUI

struct HistoryView: View {

    let manager: HistoryManager

    var body: some View {
        List(manager.loadEntries()) { entry in
            HistoryListItem(entry: entry)
        }
    }
}

struct HistoryView_Previews: PreviewProvider {
    static var previews: some View {
        HistoryView(manager: .init())
    }
}
